Subject: Re: [PATCH] mm: Fix mmap_assert_locked() in follow_pte()

From: Bert Karwatzki <[email-masked]>
Date: Fri, 12 Jul 2024 14:17:58 +0200

This is causing a deadlock for me, too. Since linux-next-20240712 I observe
a hang when starting the gui. I bisected this to commit a13252049629 and
reverting this commit in linux-next-20240712 fixes the issue for me.
I do not have any log messages to prove the dead lock, though, as I compiled
everything without CONFIG_LOCKDEP.

Bert Karwatzki